Create term deposit

API endpoint to create a term deposit.
Either productId or externalProductIdentifier must be supplied. When productId is supplied it must be greater than 0 and takes precedence (externalProductIdentifier is then ignored). When productId is omitted, the product is resolved from externalProductIdentifier; an unknown value is rejected with 400.
400 is returned when neither productId nor externalProductIdentifier is supplied, when productId is supplied but not greater than 0, when externalProductIdentifier is empty or longer than 50 characters, or when externalProductIdentifier does not resolve to a known product.

Body Params
string
required
length ≥ 1

The account number of the term deposit.

int32 | null

The product id which will be used for the creation of the term deposit.
Either productId or externalProductIdentifier must be supplied. When productId is supplied it must be greater than 0 and takes precedence (externalProductIdentifier is then ignored). When productId is omitted, the product is resolved from externalProductIdentifier; an unknown value is rejected with 400.

string | null

The external product identifier which will be used to resolve the product for the creation of the term deposit.
Either productId or externalProductIdentifier must be supplied. When productId is supplied it must be greater than 0 and takes precedence (externalProductIdentifier is then ignored). When productId is omitted, the product is resolved from externalProductIdentifier; an unknown value is rejected with 400.

string
required
length ≥ 1

The currency of the term deposit, and it has to be allowed in the product that will be used to create this term deposit. In the reference data endpoint 'currencies' an user can get the full list of available values.

string
required
length ≥ 1

If fees calculated by the system need to taken from this account or from a linked account. If option Linked is chosen, a linked account number is required. In the reference data endpoint 'fee-handlings' a user can get the full list of available values.

string
required
length ≥ 1

The linked account number that will be used to transfer money from/to the term deposit. Depending on the configuration this account will also be used to charge possible fees and pay the interest.

portfolio
object
required
term
object
required
string | null

What happens to the term deposit when it reaches the maturity date. If not provided, the default value 'None' is used and the term deposit is not rolled over. In the reference data endpoint 'maturity-options' a user can get the full list of available values.

personIds
array of uuids | null

Only in combination with the 360 product. A list of persons that will be the owners of the term deposit.

personIds
companyIds
array of uuids | null

Only in combination with the 360 product. A list of companies that will be the owners of the term deposit.

companyIds
Headers
string
required
Defaults to v1

API versioning

uuid
required

Correlates HTTP requests between a client and server

string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

500

Internal Server Error

503

Service Unavailable

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json